package com.goafanti.organization.bo;

import java.util.List;

public class InputPaymentList {
	private String contractNo;
	private String orderNo;
	private String userName;
	private String deps;
	private String aname;
	private String financeName;
	private String cname;
	private String pname;
	private String thchId;
	private Integer status;
	private Integer chooseType;
	/**
	 * 查看权限 0=财务专员 1=财务经理 2=管理层 3=咨询师与经理 4=专利管理员
	 */
	private Integer permissionsGrade;
	private Integer pageSize;
	private Integer pageNo;

	public Integer getPermissionsGrade() {
		return permissionsGrade;
	}

	public void setPermissionsGrade(Integer permissionsGrade) {
		this.permissionsGrade = permissionsGrade;
	}

	public String getThchId() {
		return thchId;
	}

	public void setThchId(String thchId) {
		this.thchId = thchId;
	}

	public String getDeps() {
		return deps;
	}

	public void setDeps(String deps) {
		this.deps = deps;
	}

	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getAname() {
		return aname;
	}
	public void setAname(String aname) {
		this.aname = aname;
	}
	public String getFinanceName() {
		return financeName;
	}
	public void setFinanceName(String financeName) {
		this.financeName = financeName;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Integer getPageSize() {
		if (pageNo==null||pageNo<1) {
			return 10;
		}
		return pageSize;
	}
	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	public Integer getPageNo() {
		if (pageNo==null||pageNo<1) {
			return 1;
		}
		return pageNo;
	}
	public void setPageNo(Integer pageNo) {

		this.pageNo = pageNo;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}


	public String getPname() {
		return pname;
	}
	public void setPname(String pname) {
		this.pname = pname;
	}
	public Integer getChooseType() {
		return chooseType;
	}
	public void setChooseType(Integer chooseType) {
		this.chooseType = chooseType;
	}



}
